commit:     91b8e4d18d663e62a92d1ecdc78d4e91722226fb
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  7 04:37:49 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun  7 06:13:19 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91b8e4d1

dev-python/sigstore: Bump to 3.6.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sigstore/Manifest              |  1 +
 dev-python/sigstore/sigstore-3.6.3.ebuild | 62 +++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/sigstore/Manifest b/dev-python/sigstore/Manifest
index 7f12a48c103e..cda39fc41f84 100644
--- a/dev-python/sigstore/Manifest
+++ b/dev-python/sigstore/Manifest
@@ -1 +1,2 @@
 DIST sigstore-python-3.6.2.gh.tar.gz 277160 BLAKE2B 
bfbe89ce9e9b186d9beefabfecc3fc1321deb5cb158328b0eca8d19932f807f2344b8d685987625665e4d275fc7a6d9eacbec51d62b0f63dae7707cd536abbe7
 SHA512 
60694da77df9f6dc2d899d36af79d063fa398d6df3c26252793b74e6ddce79fc3c5ba3e2c29ad919b80fcd51f965c4dd1ed9a8c8b6357ed499e6933c51721e41
+DIST sigstore-python-3.6.3.gh.tar.gz 277314 BLAKE2B 
5820a5845a5eb09a02027cc6aff6d49c6e874aca14d8103893b06397011f7cd476a13bbdd8c66fe237a4a334475450e820d9972efca33266c4a6ef5ae0f5fe9e
 SHA512 
aa93258464b03eead72223814588387256e90ecba5edd192213f86f971920acf4a5a341b1cea402af2824d1a9e21732ddec2193025e0b1c3da6da694dac735c2

diff --git a/dev-python/sigstore/sigstore-3.6.3.ebuild 
b/dev-python/sigstore/sigstore-3.6.3.ebuild
new file mode 100644
index 000000000000..4b733080f7bd
--- /dev/null
+++ b/dev-python/sigstore/sigstore-3.6.3.ebuild
@@ -0,0 +1,62 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+MY_P=sigstore-python-${PV}
+DESCRIPTION="A tool for signing Python package distributions"
+HOMEPAGE="
+       https://github.com/sigstore/sigstore-python/
+       https://pypi.org/project/sigstore/
+"
+# no tests in sdist, as of 3.3.0
+SRC_URI="
+       https://github.com/sigstore/sigstore-python/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       >=dev-python/cryptography-42[${PYTHON_USEDEP}]
+       >=dev-python/id-1.1.0[${PYTHON_USEDEP}]
+       >=dev-python/platformdirs-4.2[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-23.0.0[${PYTHON_USEDEP}]
+       >=dev-python/pyasn1-0.6[${PYTHON_USEDEP}]
+       >=dev-python/pydantic-2[${PYTHON_USEDEP}]
+       >=dev-python/pyjwt-2.1[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       ~dev-python/rfc3161-client-0.1.2[${PYTHON_USEDEP}]
+       >=dev-python/rfc8785-0.1.2[${PYTHON_USEDEP}]
+       >=dev-python/rich-13[${PYTHON_USEDEP}]
+       ~dev-python/sigstore-protobuf-specs-0.3.2[${PYTHON_USEDEP}]
+       ~dev-python/sigstore-rekor-types-0.0.18[${PYTHON_USEDEP}]
+       >=dev-python/tuf-6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/pretend[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unpin deps
+       sed -r -i -e 's:~=:>=:' -e 's:, ?< ?[0-9.]*::' pyproject.toml || die
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest test/unit --skip-online
+}

Reply via email to